Subject: Re: bug#48073: 27.2; [Eglot] Don't bind `completion-styles' buffer locally?

From: Stefan Monnier <[email-masked]>
Date: Tue, 27 Apr 2021 16:37:58 -0400

>> Binding `completion-styles' buffer locally can lead to problems on
>> alternative completion UIs, say if the minibuffer is involved (this used
>> to happen with Consult's compeltion in region until recently).

Indeed; another reason it's problematic is that it's a user-config, so
changing it programatically will sooner or later interfere in
undesirable ways.

>> It seems that a more appropriate way to override the completion style
>> would be to include a category in the completion table metadata, and add
>> a corresponding entry to `completion-category-defaults', which can be
>> done globally.

That's right.  The advantage being also that the user can additionally
override that default style with `completion-category-overrides'.

        Stefan